View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000185aMuleMiscpublic2004-11-04 23:202005-04-08 01:09
Reporterken 
Assigned ToXaignar 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSOS XOS Version10.3.5
Product Version 
Target VersionFixed in VersionSVN 
Summary0000185: Fonts in lists are too large, inconsistent
DescriptionThe fonts used are pretty large. I believe wxMac is probably just picking up the system font (it seems like Lucida Grande 13pt). In the server list, when a connection is made, the connected server appears in an entirely different font (Geneva 10pt, algorithmically bolded). When the connection to that server is terminated, the table entry for that server doesn't revert to Lucida Grande, but goes to non-bold Geneva 10pt. My preference would be to always use Geneva 10pt (bold and non-bold) for all tables, lists, and text boxes and never Lucida Grande. This would hopefully reduce the row height and allow more to be displayed on the screen.
Steps To ReproduceStart aMule with auto-connect disabled.
Observe the font used in the server list.
Connect to a server.
Observe the different font used for that connected server in the list.
Disconnect from the server.
Observe that the entry for the disconnected server didn't revert to the original font, but to a third font.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000460)
GhePeU (reporter)
2004-12-18 15:50

This bug occurs with Linux/x86 too. Connected server is listed in bold sans font instead of GUI default font, and when I change server it stays with plain sans font.
(0000727)
Xaignar (manager)
2005-03-09 17:09

I believe that this is a problem with our molested version of the wxListCtrl, which I am working on ATM.
(0000835)
Xaignar (manager)
2005-04-08 01:09

This was due to changes in fonts happening when a bold font was requested. Due to the way the font-changes were being done, it would revert to the non-bold version of the other font, instead of reverting to the original font. This was fixed.

- Issue History
Date Modified Username Field Change
2004-11-04 23:20 ken New Issue
2004-11-05 00:14 Kry Status new => assigned
2004-11-05 00:14 Kry Assigned To => Kry
2004-11-05 00:14 Kry Assigned To Kry => Xaignar
2004-12-18 15:50 GhePeU Note Added: 0000460
2005-03-09 17:09 Xaignar Note Added: 0000727
2005-04-08 01:09 Xaignar Status assigned => resolved
2005-04-08 01:09 Xaignar Fixed in Version => CVS
2005-04-08 01:09 Xaignar Resolution open => fixed
2005-04-08 01:09 Xaignar Note Added: 0000835


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker